Bug 589586 - virt-inspector fails to detect OS on rhel3u9-x86_64 FV guest from Xen
Summary: virt-inspector fails to detect OS on rhel3u9-x86_64 FV guest from Xen
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libguestfs
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 13:47 UTC by Nan Zhang
Modified: 2010-11-09 13:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-11 07:19:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nan Zhang 2010-05-06 13:47:00 UTC
Description of problem:
No converted guest was listed in defined domain list after conversion.

Version-Release number of selected component (if applicable):
virt-v2v-0.5.2-1.el5
v2v-libvirt-0.8.0.2.el5

How reproducible:
Always

Steps to Reproduce:
# virt-v2v -f /usr/share/doc/virt-v2v-0.5.2/virt-v2v.conf -i libvirtxml -op v2v-test rhel3u9-64b-hv-raw-intel.xml
virt-v2v: no root device found in this operating system image

# virsh list --all
 Id Name                 State
----------------------------------
  - rhel3u9-32b-hv-raw-intel shut off
  
Actual results:
Fail to define in domain list.

Expected results:
Should be converted and can be started up.

Additional info:
The converted image can be found in pool.

# virsh vol-list --pool v2v-test
Name                 Path                                    
-----------------------------------------
rhel3u9-32b-hv-raw-intel.img /root/test/rhel3u9-32b-hv-raw-intel.img 
rhel3u9-64b-hv-raw-intel.img /root/test/rhel3u9-64b-hv-raw-intel.img

Comment 1 Matthew Booth 2010-05-06 13:54:55 UTC
Neil,

Could you please attach the output of 'virt-inspector --perl /path/to/preconversion.img' on the *original* guest, before conversion.

Thanks,

Matt

Comment 2 Nan Zhang 2010-05-07 07:20:55 UTC
I run this tool on the original guest, but no any output.

# virt-inspector --perl /mnt/V2V_image/xen-image/intel/rhel3u9-64b-hv-raw-intel.img
#

Comment 3 Richard W.M. Jones 2010-05-07 07:31:58 UTC
(In reply to comment #2)
> I run this tool on the original guest, but no any output.
> 
> # virt-inspector --perl
> /mnt/V2V_image/xen-image/intel/rhel3u9-64b-hv-raw-intel.img

That's not so good.  Can you do:

LIBGUESTFS_DEBUG=1 virt-inspector [etc...]

and then attach the full output here.

Comment 4 Nan Zhang 2010-05-07 08:01:35 UTC
Thanks Richard.

# LIBGUESTFS_DEBUG=1 virt-inspector --perl /mnt/V2V_image/xen-image/intel/rhel3u9-64b-hv-raw-intel.img 
new guestfs handle 0x1d21eef0
looking for supermin appliance in /usr/lib64/guestfs
[00000ms] begin building supermin appliance
[00000ms] PATH='/usr/lib64/guestfs':$PATH libguestfs-supermin-helper --verbose '/usr/lib64/guestfs' x86_64 epel-5 /tmp/libguestfs2744BU/kernel /tmp/libguestfs2744BU/initrd
supermin helper [00000ms] sourcedir = /usr/lib64/guestfs, host_cpu = x86_64, repo = epel-5, kernel = /tmp/libguestfs2744BU/kernel, initrd = /tmp/libguestfs2744BU/initrd
supermin helper [00000ms] finished creating kernel
supermin helper [00264ms] finished creating appliance
[00267ms] finished building supermin appliance
[00267ms] begin testing qemu features
null_vmchannel_sock = 47354
[00267ms] finished testing qemu features
/usr/libexec/qemu-kvm \
    -drive file=/mnt/V2V_image/xen-image/intel/rhel3u9-64b-hv-raw-intel.img,snapshot=on,if=virtio \
    -nographic \
    -serial stdio \
    -m 500 \
    -no-reboot \
    -no-hpet \
    -rtc-td-hack \
    -net user,vlan=0,net=10.0.2.0/8 \
    -net nic,model=virtio,vlan=0 \
    -kernel /tmp/libguestfs2744BU/kernel \
    -initrd /tmp/libguestfs2744BU/initrd \
    -append 'panic=1 console=ttyS0 udevtimeout=300 noapic acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_vmchannel=tcp:10.0.2.2:47354 guestfs_verbose=1 TERM=xterm '
accept_from_daemon: 0x1d21eef0 g->state = 0
Linux version 2.6.18-194.el5 (mockbuild@x86-005.build.bos.redhat.com) (gcc version 4.1.2 20080704 (Red Hat 4.1.2-48)) #1 SMP Tue Mar 16 21:52:39 EDT 2010
Command line: panic=1 console=ttyS0 udevtimeout=300 noapic acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_vmchannel=tcp:10.0.2.2:47354 guestfs_verbose=1 TERM=xterm 
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000010000 - 000000000009f000 (usable)
 BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e8000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001f3f0000 (usable)
 BIOS-e820: 000000001f3f0000 - 000000001f400000 (ACPI data)
 BIOS-e820: 00000000c0000000 - 00000000c1000000 (reserved)
 BIOS-e820: 00000000fffbc000 - 0000000100000000 (reserved)
DMI 2.4 present.
kvm-clock: cpu 0, msr 7eff:8043e401, boot clock
No NUMA configuration found
Faking a node at 0000000000000000-000000001f3f0000
Bootmem setup node 0 0000000000000000-000000001f3f0000
Memory for crash kernel (0x0 to 0x0) notwithin permissible range
disabling kdump
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: QEMUCPU  Product ID: 0.1          APIC at: 0xFEE00000
Processor #0 6:0 APIC version 17
I/O APIC #1 Version 17 at 0xFEC00000.
Setting APIC routing to physical flat
Processors: 1
Nosave address range: 000000000009f000 - 00000000000a0000
Nosave address range: 00000000000a0000 - 00000000000e8000
Nosave address range: 00000000000e8000 - 0000000000100000
Allocating PCI resources starting at 20000000 (gap: 1f400000:a0c00000)
SMP: Allowing 16 CPUs, 15 hotplug CPUs
kvm-clock: cpu 0, msr 0:1035401, primary cpu clock
Built 1 zonelists.  Total pages: 124823
Kernel command line: panic=1 console=ttyS0 udevtimeout=300 noapic acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_vmchannel=tcp:10.0.2.2:47354 guestfs_verbose=1 TERM=xterm 
Unknown boot option `printk.time=1': ignoring
Initializing CPU#0
PID hash table entries: 2048 (order: 11, 16384 bytes)
time.c: Using tsc for timekeeping HZ 1000
Console: colour VGA+ 80x25
Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
Checking aperture...
ACPI: DMAR not present
Memory: 389052k/511936k available (2577k kernel code, 122432k reserved, 1305k data, 212k init)
Calibrating delay loop (skipped), value calculated using timer frequency.. 5984.25 BogoMIPS (lpj=2992126)
Security Framework v1.0.0 initialized
SELinux:  Disabled at boot.
Capability LSM initialized
Mount-cache hash table entries: 256
, L1 D cache: 32K
SMP alternatives: switching to UP code
Using local APIC timer interrupts.
WARNING calibrate_APIC_clock: the APIC timer calibration may be wrong.
Detected 62.501 MHz APIC timer.
Brought up 1 CPUs
testing NMI watchdog ... <4>WARNING: CPU#0: NMI appears to be stuck (0->0)!
time.c: Using 1.193182 MHz WALL KVM GTOD KVM timer.
time.c: Detected 2992.126 MHz processor.
checking if image is initramfs... it is
Freeing initrd memory: 108454k freed
NET: Registered protocol family 16
PCI: Using configuration type 1
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Probing PCI hardware
ACPI Error (tbget-0168): Invalid address flags 8 [20060707]
ACPI Error (tbget-0168): Invalid address flags 8 [20060707]
ACPI Error (tbget-0168): Invalid address flags 8 [20060707]
ACPI Error (tbget-0168): Invalid address flags 8 [20060707]
PCI quirk: region b000-b03f claimed by PIIX4 ACPI
PCI quirk: region b100-b10f claimed by PIIX4 SMB
ACPI Error (tbget-0168): Invalid address flags 8 [20060707]
ACPI Error (tbget-0168): Invalid address flags 8 [20060707]
ACPI Error (tbget-0168): Invalid address flags 8 [20060707]
ACPI Error (tbget-0168): Invalid address flags 8 [20060707]
PCI: Using IRQ router PIIX/ICH [8086/7000] at 0000:00:01.0
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
ACPI: DMAR not present
PCI-GART: No AMD northbridge found.
NET: Registered protocol family 2
IP route cache hash table entries: 4096 (order: 3, 32768 bytes)
TCP established hash table entries: 16384 (order: 6, 262144 bytes)
TCP bind hash table entries: 8192 (order: 5, 131072 bytes)
TCP: Hash tables configured (established 16384 bind 8192)
TCP reno registered
audit: initializing netlink socket (disabled)
type=2000 audit(1273247449.496:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
Initializing Cryptographic API
alg: No test for crc32c (crc32c-generic)
ksign: Installing public key data
Loading keyring
- Added public key 78CCFEAA9428026A
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
Limiting direct PCI/PCI transfers.
PCI: PIIX3: Enabling Passive Release on 0000:00:01.0
Activating ISA DMA hang workarounds.
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
�serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
brd: module loaded
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX3: IDE controller at PCI slot 0000:00:01.1
PIIX3: chipset revision 0
PIIX3: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xc000-0xc007, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0xc008-0xc00f, BIOS settings: hdc:pio, hdd:pio
hdc: QEMU DVD-ROM, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Initalizing network drop monitor service
Freeing unused kernel memory: 212k freed
Write protecting the kernel read-only data: 504k
Starting /init script ...
input: AT Translated Set 2 keyboard as /class/input/input0
Starting udev: input: ImExPS/2 Generic Explorer Mouse as /class/input/input1
hdc: ATAPI 4X CD-ROM drive, 512kB Cache, (U)DMA
Uniform CD-ROM driver Revision: 3.20
PCI: Found IRQ 11 for device 0000:00:03.0
PCI: Found IRQ 11 for device 0000:00:04.0
PCI: Found IRQ 10 for device 0000:00:05.0
piix4_smbus 0000:00:01.3: Found 0000:00:01.3 device
SCSI subsystem initialized
 vda: vda1 vda2 vda3
[  OK  ]
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.11.5-ioctl (2007-12-12) initialised: dm-devel@redhat.com
  Reading all physical volumes.  This may take a while...
/init: line 65: /sys/block/vd*/queue/rotational: No such file or directory
total 0
lrwxrwxrwx 1 root root       13 May  7 11:50 MAKEDEV -> /sbin/MAKEDEV
lrwxrwxrwx 1 root root        4 May  7 11:50 X0R -> null
lrwxrwxrwx 1 root root        3 May  7  2010 cdrom -> hdc
lrwxrwxrwx 1 root root        3 May  7  2010 cdrom-hdc -> hdc
crw------- 1 root root   5,   1 May  7 11:50 console
lrwxrwxrwx 1 root root       11 May  7 11:50 core -> /proc/kcore
drwxr-xr-x 3 root root       60 May  7  2010 cpu
drwxr-xr-x 6 root root      120 May  7  2010 disk
lrwxrwxrwx 1 root root       13 May  7 11:50 fd -> /proc/self/fd
crw-rw-rw- 1 root root   1,   7 May  7 11:50 full
brw-rw---- 1 root disk  22,   0 May  7  2010 hdc
drwxr-xr-x 2 root root      120 May  7  2010 input
crw------- 1 root root   1,  11 May  7 11:50 kmsg
brw-r----- 1 root disk   7,   0 May  7 11:50 loop0
brw-r----- 1 root disk   7,   1 May  7 11:50 loop1
brw-r----- 1 root disk   7,   2 May  7 11:50 loop2
brw-r----- 1 root disk   7,   3 May  7 11:50 loop3
brw-r----- 1 root disk   7,   4 May  7 11:50 loop4
brw-r----- 1 root disk   7,   5 May  7 11:50 loop5
brw-r----- 1 root disk   7,   6 May  7 11:50 loop6
brw-r----- 1 root disk   7,   7 May  7 11:50 loop7
drwxr-xr-x 2 root root       60 May  7 11:50 mapper
crw------- 1 root root  10, 227 May  7  2010 mcelog
crw-r----- 1 root kmem   1,   1 May  7 11:50 mem
drwxr-xr-x 2 root root       60 May  7 11:50 net
crw-rw-rw- 1 root root   1,   3 May  7 11:50 null
crw-rw---- 1 root root  10, 144 May  7  2010 nvram
crw------- 1 root root   1,  12 May  7 11:50 oldmem
crw-rw---- 1 root lp    99,   0 May  7 11:50 parport0
crw-rw---- 1 root lp    99,   1 May  7 11:50 parport1
crw-rw---- 1 root lp    99,   2 May  7 11:50 parport2
crw-rw---- 1 root lp    99,   3 May  7 11:50 parport3
crw-r----- 1 root kmem   1,   4 May  7 11:50 port
crw------- 1 root root 108,   0 May  7 11:50 ppp
crw-rw-rw- 1 root tty    5,   2 May  7 11:50 ptmx
drwxr-xr-x 2 root root       40 May  7 11:50 pts
lrwxrwxrwx 1 root root        4 May  7  2010 ram -> ram1
brw-r----- 1 root disk   1,   0 May  7  2010 ram0
brw-r----- 1 root disk   1,   1 May  7  2010 ram1
brw-r----- 1 root disk   1,  10 May  7  2010 ram10
brw-r----- 1 root disk   1,  11 May  7  2010 ram11
brw-r----- 1 root disk   1,  12 May  7  2010 ram12
brw-r----- 1 root disk   1,  13 May  7  2010 ram13
brw-r----- 1 root disk   1,  14 May  7  2010 ram14
brw-r----- 1 root disk   1,  15 May  7  2010 ram15
brw-r----- 1 root disk   1,   2 May  7  2010 ram2
brw-r----- 1 root disk   1,   3 May  7  2010 ram3
brw-r----- 1 root disk   1,   4 May  7  2010 ram4
brw-r----- 1 root disk   1,   5 May  7  2010 ram5
brw-r----- 1 root disk   1,   6 May  7  2010 ram6
brw-r----- 1 root disk   1,   7 May  7  2010 ram7
brw-r----- 1 root disk   1,   8 May  7  2010 ram8
brw-r----- 1 root disk   1,   9 May  7  2010 ram9
lrwxrwxrwx 1 root root        4 May  7  2010 ramdisk -> ram0
crw-rw-rw- 1 root root   1,   8 May  7 11:50 random
crw------- 1 root root 162,   0 May  7  2010 rawctl
crw-r--r-- 1 root root  10, 135 May  7  2010 rtc
drwxr-xr-x 2 root root       40 May  7 11:50 shm
crw------- 1 root root  10, 231 May  7  2010 snapshot
lrwxrwxrwx 1 root root       15 May  7 11:50 stderr -> /proc/self/fd/2
lrwxrwxrwx 1 root root       15 May  7 11:50 stdin -> /proc/self/fd/0
lrwxrwxrwx 1 root root       15 May  7 11:50 stdout -> /proc/self/fd/1
crw-rw-rw- 1 root tty    5,   0 May  7 11:50 tty
crw-rw---- 1 root tty    4,   0 May  7 11:50 tty0
crw-rw---- 1 root tty    4,   1 May  7  2010 tty1
crw-rw---- 1 root tty    4,  10 May  7 11:50 tty10
crw-rw---- 1 root tty    4,  11 May  7 11:50 tty11
crw-rw---- 1 root tty    4,  12 May  7 11:50 tty12
crw-rw---- 1 root tty    4,  13 May  7 11:50 tty13
crw-rw---- 1 root tty    4,  14 May  7 11:50 tty14
crw-rw---- 1 root tty    4,  15 May  7 11:50 tty15
crw-rw---- 1 root tty    4,  16 May  7 11:50 tty16
crw-rw---- 1 root tty    4,  17 May  7 11:50 tty17
crw-rw---- 1 root tty    4,  18 May  7 11:50 tty18
crw-rw---- 1 root tty    4,  19 May  7 11:50 tty19
crw-rw---- 1 root tty    4,   2 May  7 11:50 tty2
crw-rw---- 1 root tty    4,  20 May  7 11:50 tty20
crw-rw---- 1 root tty    4,  21 May  7 11:50 tty21
crw-rw---- 1 root tty    4,  22 May  7 11:50 tty22
crw-rw---- 1 root tty    4,  23 May  7 11:50 tty23
crw-rw---- 1 root tty    4,  24 May  7 11:50 tty24
crw-rw---- 1 root tty    4,  25 May  7 11:50 tty25
crw-rw---- 1 root tty    4,  26 May  7 11:50 tty26
crw-rw---- 1 root tty    4,  27 May  7 11:50 tty27
crw-rw---- 1 root tty    4,  28 May  7 11:50 tty28
crw-rw---- 1 root tty    4,  29 May  7 11:50 tty29
crw-rw---- 1 root tty    4,   3 May  7 11:50 tty3
crw-rw---- 1 root tty    4,  30 May  7 11:50 tty30
crw-rw---- 1 root tty    4,  31 May  7 11:50 tty31
crw-rw---- 1 root tty    4,  32 May  7 11:50 tty32
crw-rw---- 1 root tty    4,  33 May  7 11:50 tty33
crw-rw---- 1 root tty    4,  34 May  7 11:50 tty34
crw-rw---- 1 root tty    4,  35 May  7 11:50 tty35
crw-rw---- 1 root tty    4,  36 May  7 11:50 tty36
crw-rw---- 1 root tty    4,  37 May  7 11:50 tty37
crw-rw---- 1 root tty    4,  38 May  7 11:50 tty38
crw-rw---- 1 root tty    4,  39 May  7 11:50 tty39
crw-rw---- 1 root tty    4,   4 May  7 11:50 tty4
crw-rw---- 1 root tty    4,  40 May  7 11:50 tty40
crw-rw---- 1 root tty    4,  41 May  7 11:50 tty41
crw-rw---- 1 root tty    4,  42 May  7 11:50 tty42
crw-rw---- 1 root tty    4,  43 May  7 11:50 tty43
crw-rw---- 1 root tty    4,  44 May  7 11:50 tty44
crw-rw---- 1 root tty    4,  45 May  7 11:50 tty45
crw-rw---- 1 root tty    4,  46 May  7 11:50 tty46
crw-rw---- 1 root tty    4,  47 May  7 11:50 tty47
crw-rw---- 1 root tty    4,  48 May  7 11:50 tty48
crw-rw---- 1 root tty    4,  49 May  7 11:50 tty49
crw-rw---- 1 root tty    4,   5 May  7 11:50 tty5
crw-rw---- 1 root tty    4,  50 May  7 11:50 tty50
crw-rw---- 1 root tty    4,  51 May  7 11:50 tty51
crw-rw---- 1 root tty    4,  52 May  7 11:50 tty52
crw-rw---- 1 root tty    4,  53 May  7 11:50 tty53
crw-rw---- 1 root tty    4,  54 May  7 11:50 tty54
crw-rw---- 1 root tty    4,  55 May  7 11:50 tty55
crw-rw---- 1 root tty    4,  56 May  7 11:50 tty56
crw-rw---- 1 root tty    4,  57 May  7 11:50 tty57
crw-rw---- 1 root tty    4,  58 May  7 11:50 tty58
crw-rw---- 1 root tty    4,  59 May  7 11:50 tty59
crw-rw---- 1 root tty    4,   6 May  7 11:50 tty6
crw-rw---- 1 root tty    4,  60 May  7 11:50 tty60
crw-rw---- 1 root tty    4,  61 May  7 11:50 tty61
crw-rw---- 1 root tty    4,  62 May  7 11:50 tty62
crw-rw---- 1 root tty    4,  63 May  7 11:50 tty63
crw-rw---- 1 root tty    4,   7 May  7 11:50 tty7
crw-rw---- 1 root tty    4,   8 May  7 11:50 tty8
crw-rw---- 1 root tty    4,   9 May  7 11:50 tty9
crw-rw---- 1 root uucp   4,  64 May  7 11:50 ttyS0
crw-rw---- 1 root uucp   4,  65 May  7 11:50 ttyS1
crw-rw---- 1 root uucp   4,  66 May  7 11:50 ttyS2
crw-rw---- 1 root uucp   4,  67 May  7 11:50 ttyS3
cr--r--r-- 1 root root   1,   9 May  7 11:50 urandom
crw------- 1 vcsa tty    7,   0 May  7  2010 vcs
crw------- 1 vcsa tty    7, 128 May  7  2010 vcsa
brw-r----- 1 root disk 253,   0 May  7  2010 vda
brw-r----- 1 root disk 253,   1 May  7  2010 vda1
brw-r----- 1 root disk 253,   2 May  7  2010 vda2
brw-r----- 1 root disk 253,   3 May  7  2010 vda3
crw-rw-rw- 1 root root   1,   5 May  7 11:50 zero
rootfs / rootfs rw 0 0
/proc /proc proc rw 0 0
/sys /sys sysfs rw 0 0
none /dev tmpfs rw 0 0
eth0      Link encap:Ethernet  HWaddr 52:54:00:12:34:56  
          inet addr:10.0.2.10  Bcast:10.255.255.255  Mask:255.0.0.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface
10.0.0.0        0.0.0.0         255.0.0.0       U         0 0          0 eth0
0.0.0.0         10.0.2.2        0.0.0.0         UG        0 0          0 eth0
Module                  Size  Used by
dm_mod                101905  0 
virtio_balloon         39877  0 
virtio_blk             41417  0 
virtio_net             47425  0 
ata_piix               57029  0 
libata                209745  1 ata_piix
scsi_mod              197593  1 libata
i2c_piix4              43725  0 
i2c_core               56641  1 i2c_piix4
virtio_pci             41545  0 
virtio_ring            37441  1 virtio_pci
virtio                 39365  4 virtio_balloon,virtio_blk,virtio_net,virtio_pci
ide_cd                 73825  0 
cdrom                  68713  1 ide_cd
Fri May  7 11:50:52 EDT 2010
uptime: 4.83 2.39
verbose daemon enabled
linux commmand line: panic=1 console=ttyS0 udevtimeout=300 noapic acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_vmchannel=tcp:10.0.2.2:47354 guestfs_verbose=1 TERM=xterm 

vmchannel: tcp:10.0.2.2:47354
recv_from_daemon: 0x1d21eef0 g->state = 1, size_rtn = 0x7fffa62de21c, buf_rtn = 0x7fffa62de1b8
[08619ms] appliance is up
send_to_daemon: 0x1d21eef0 g->state = 3, n = 28
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
/dev/hdc: No medium found
proc 8 (list_partitions) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 28
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
lvm pvs -o pv_name --noheadings
File descriptor 3 (socket:[5772]) leaked on lvm invocation. Parent PID 1: guestfsd
proc 9 (pvs) took 0.01 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 40
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de19c, buf_rtn = 0x7fffa62de190
proc 216 (available) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 28
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
lvm lvs -o vg_name,lv_name --noheadings --separator /
File descriptor 3 (socket:[5772]) leaked on lvm invocation. Parent PID 1: guestfsd
proc 11 (lvs) took 0.01 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 44
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1bc, buf_rtn = 0x7fffa62de1b0
file -zbsL /dev/vda1
proc 49 (file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 44
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1bc, buf_rtn = 0x7fffa62de1b0
tune4fs -l /dev/vda1
proc 83 (get_e2uuid) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 44
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1bc, buf_rtn = 0x7fffa62de1b0
e4label /dev/vda1
proc 81 (get_e2label) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 52
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
mount -o ro /dev/vda1 /sysroot/
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
proc 73 (mount_ro) took 0.03 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 48
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 37 (is_file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 48
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 37 (is_file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 28
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1bc, buf_rtn = 0x7fffa62de1b0
mount
umount /sysroot
proc 47 (umount_all) took 0.01 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 44
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1bc, buf_rtn = 0x7fffa62de1b0
file -zbsL /dev/vda2
proc 49 (file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 44
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1bc, buf_rtn = 0x7fffa62de1b0
tune4fs -l /dev/vda2
proc 83 (get_e2uuid) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 44
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1bc, buf_rtn = 0x7fffa62de1b0
e4label /dev/vda2
proc 81 (get_e2label) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 52
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
mount -o ro /dev/vda2 /sysroot/
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
proc 73 (mount_ro) took 0.10 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 48
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 37 (is_file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 48
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 37 (is_file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 36
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 38 (is_dir) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 36
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 38 (is_dir) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 44
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
EXT3-fs error (device vda2): ext3_lookup: unlinked inode 228327 in dir #224449
proc 37 (is_file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 36
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 38 (is_dir) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 36
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 38 (is_dir) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 40
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 38 (is_dir) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 36
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 38 (is_dir) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 36
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 38 (is_dir) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 40
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 38 (is_dir) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 48
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 37 (is_file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 48
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 37 (is_file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 48
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 38 (is_dir) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 40
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 38 (is_dir) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 44
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 37 (is_file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 40
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1ac, buf_rtn = 0x7fffa62de1a0
proc 37 (is_file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 28
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1bc, buf_rtn = 0x7fffa62de1b0
mount
umount /sysroot
proc 47 (umount_all) took 0.01 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 44
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1bc, buf_rtn = 0x7fffa62de1b0
file -zbsL /dev/vda3
proc 49 (file) took 0.00 seconds
send_to_daemon: 0x1d21eef0 g->state = 3, n = 28
recv_from_daemon: 0x1d21eef0 g->state = 3, size_rtn = 0x7fffa62de1bc, buf_rtn = 0x7fffa62de1b0
mount
proc 47 (umount_all) took 0.00 seconds
closing guestfs handle 0x1d21eef0 (state 2)
sending SIGTERM to process 10291

Comment 5 Richard W.M. Jones 2010-05-07 09:03:04 UTC
Neil, I cannot reproduce this locally.  Can you tell me which version
of virt-inspector you are using?

rpm -qf /usr/bin/virt-inspector

Is it possible to send me a copy of the image file which is failing.
I appreciate that it will be a very large file.

Comment 7 Richard W.M. Jones 2010-05-07 13:38:10 UTC
The image that I got here gives me I/O errors.  It looks like
the /etc/fstab file within the guest is corrupt.

[    5.606809] EXT3-fs error (device vda2): ext3_lookup: deleted inode referenced: 228327
guestfsd: error: stat: /etc/fstab: Input/output error
proc 37 (is_file) took 0.00 seconds
is_file: stat: /etc/fstab: Input/output error at /usr/lib64/perl5/Sys/Guestfs/Lib.pm line 751.

You'll see that too if you look at comment 4 and search for 228327.

Comment 8 Nan Zhang 2010-05-11 07:19:29 UTC
Richard,
I confirmed the original image rhel3u9-64b-hv-raw-intel has I/O errors with file
/etc/fstab, I have replaced the wrong image on server. Thanks.

It's not a bug, close it.


Note You need to log in before you can comment on or make changes to this bug.